<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>facturacion</artifactId>
		<groupId>py.com.qode</groupId>
		<version>1.0-SNAPSHOT</version>
	</parent>

	<artifactId>facturacion-ear</artifactId>
	<packaging>ear</packaging>

	<name>facturacion-ear</name>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>


	</properties>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-ear-plugin</artifactId>
				<version>3.0.1</version>
				<configuration>
					<version>8</version>
					<defaultLibBundleDir>lib</defaultLibBundleDir>
					<modules>
						<webModule>
							<groupId>py.com.qode</groupId>
							<artifactId>facturacion-web</artifactId>
							<!-- Sobreescribe el context-root por defecto de la API REST -->
							<contextRoot>facturacion/api/webresources</contextRoot>
						</webModule>
					</modules>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>py.com.qode</groupId>
			<artifactId>facturacion-model</artifactId>
			<version>1.0-SNAPSHOT</version>
			<type>jar</type>
		</dependency>
		<dependency>
			<groupId>py.com.qode</groupId>
			<artifactId>facturacion-ejb</artifactId>
			<version>1.0-SNAPSHOT</version>
			<type>ejb</type>
		</dependency>
		<dependency>
			<groupId>py.com.qode</groupId>
			<artifactId>facturacion-web</artifactId>
			<version>1.0-SNAPSHOT</version>
			<type>war</type>
		</dependency>

	</dependencies>
</project>
